
#exclude so synaptic doesn't try to see it
%define _requires_exceptions  libnotify.so.1\\|libgtksuperwin.so\\|libgtkembedmoz.so\\|libxpcom.so\\|libfreebl3.so\\|libmozalloc.so\\|libmozsqlite3.so\\|libnspr4.so\\|libnss3.so\\|libnssckbi.so\\|libnssdbm3.so\\|libnssutil3.so\\|libplc4.so\\|libplds4.so\\|libsmime3.so\\|libsoftokn3.so\\|libssl3.so\\|libxpcom.so\\|libxul.so

Name: 		blue-griffon
Version: 	1.7.2
Release: 	%mkrel 1
Summary: 	WYSIWYG Editor based on the Mozilla Gecko Engine.
Summary(de):	WYSIWYG Editor basirend auf Mozillas Gecko Engine.
Group:   	Networking/WWW
License: 	GPL
URL:     	http://www.bluegriffon.org/
Source2: 	%{name}_icons.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Obsoletes: 	%name < %version
AutoProv:	no

%description
BlueGriffon is a new WYSIWYG content editor for the
World Wide Web. Powered by Gecko, the rendering engine
of Firefox 4, it's a modern and robust solution to
edit Web pages in conformance to the latest Web Standards.

%description -l de
BlueGriffon ist ein neuer WYSIWYG Editor für das Internet.
Angetrieben von  Gecko, der Renderingengine von Firefox 4,
ist es eine moderne und robuste Lösung um Webseiten in
Übereinstimmung mit den aktuellen Standards zu bearbeiten.


%prep
#Here we go!
%ifarch %{ix86}
cd %_builddir
wget -nc http://bluegriffon.org/freshmeat/%version/bluegriffon-%version.Ubuntu13.04.i686.tar.bz2
tar -xvjf bluegriffon-%version.Ubuntu13.04.i686.tar.bz2
%else
cd %_builddir
wget -nc http://bluegriffon.org/freshmeat/%version/bluegriffon-%version.Ubuntu13.04.x86_64.tar.bz2
tar -xvjf bluegriffon-%version.Ubuntu13.04.x86_64.tar.bz2
%endif


tar --bzip2 -xf %SOURCE2

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_libdir}/BlueGriffon
mkdir -p %buildroot/%_miconsdir \
	 %buildroot/%_iconsdir \
         %buildroot/%_datadir/pixmaps
#icons
install -m 644 %{name}-16.png %buildroot/%{_miconsdir}/%{name}.png
install -m 644 %{name}-32.png %buildroot/%{_iconsdir}/%{name}.png
install -m 644 %{name}-48.png %buildroot/%_datadir/pixmaps/%{name}.png

cp -r bluegriffon/* %{buildroot}/%{_libdir}/BlueGriffon/


#xdg menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Blue Griffon
Comment=WYSIWYG Web Editor
Exec=%{_bindir}/%{name}
Icon=%_datadir/pixmaps/%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Internet-FileTransfer;Network;
EOF

#make Excutable
mkdir -p %{buildroot}%{_bindir}
cat > $RPM_BUILD_ROOT%{_bindir}/%{name} << EOF
cd %{_libdir}/BlueGriffon
./bluegriffon
cd ..
EOF

chmod 0755 $RPM_BUILD_ROOT%{_bindir}/%{name}


%clean
rm -rf %{buildroot}

%post
%{update_desktop_database}
/sbin/ldconfig

%postun
%{clean_desktop_database}
/sbin/ldconfig

%files
%defattr(-,root,root,0755)
%_bindir/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_libdir}/BlueGriffon/*
%_datadir/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Jul 17 2016 adrianomorselli <adrianomorselli> 1.7.2-1uplos2013
- rebuild

* Mon Aug 19 2013 billybot <billybot> 1.7.2-1pclos2013
- update 32/64 nosrc

* Tue Feb 14 2012 Neal <nealbrks0 at gmail dot com> 1.4-1pclos2012
- process

* Tue Feb 14 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.4-1pclos2012
- 1.4
- added german summary and description

* Wed Oct 05 2011 Texstar <texstar at gmail.com> 1.2.1-1pclos2011
- 1.2.1

* Mon May 16 2011 Sproggy <desproggster at gmail.com> 1.0-1pclos2011
- 1.0

* Wed Mar 30 2011 Texstar <texstar at gmail.com> 0.9.1-1pclos2011
- 0.9.1

* Sun Mar 27 2011 Texstar <texstar at gmail.com> 0.9-1pclos2011
- create package


